Page MenuHomePhabricator

summary: use the new APIs
ClosedPublic

Authored by marmoute on Apr 14 2021, 7:38 PM.

Details

Summary

Summary can perform some incoming/outgoing queries (that should be common to the
other command with the same needs, but that is another story).

We now use the new APIs to do so. The current code behavior is a bit fishy,
relying to the fact "default" will be picked as the destination in last resort.
I did not altered that, but left various comment to highlight the issue.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Apr 14 2021, 7:38 PM
marmoute updated this revision to Diff 26921.Apr 15 2021, 3:38 AM
pulkit accepted this revision.Apr 17 2021, 4:52 PM
This revision is now accepted and ready to land.Apr 17 2021, 4:52 PM
This revision was automatically updated to reflect the committed changes.